commit:     e3207abdc658ccbc6fb0d5c1693b42bdbd60736b
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 14 06:52:32 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Nov 14 06:52:32 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e3207abd

dev-ruby/net-imap: add 0.4.5

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/net-imap/net-imap-0.4.5.ebuild | 39 +++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-ruby/net-imap/net-imap-0.4.5.ebuild 
b/dev-ruby/net-imap/net-imap-0.4.5.ebuild
new file mode 100644
index 000000000000..ff9ad346395a
--- /dev/null
+++ b/dev-ruby/net-imap/net-imap-0.4.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="net-imap.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby client api for Internet Message Access Protocol"
+HOMEPAGE="https://github.com/ruby/net-imap";
+SRC_URI="https://github.com/ruby/net-imap/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+ruby_add_rdepend "
+       dev-ruby/date
+       dev-ruby/net-protocol
+"
+
+ruby_add_bdepend "test? (
+       dev-ruby/digest
+       dev-ruby/strscan
+       dev-ruby/test-unit
+       dev-ruby/test-unit-ruby-core
+)"
+
+all_ruby_prepare() {
+       sed -e 's/__dir__/"."/' \
+               -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+               -e 's/git ls-files -z/find * -print0/' \
+               -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}

Reply via email to